--
-- Table TabX
--

drop table TabX;
drop table TabX_note;

create table TabX (
  tabname  varchar(40) not null,
  colno    int         not null,
  colname  varchar(40) not null,
  type     varchar(2)  not null,
  fullname varchar(40) not null,
  note     varchar(40)
);


create table TabX_note (
  tabname  varchar(40) not null,
  note     varchar(80)
);

create unique index TabX_note_idx on TabX_note( tabname );
create unique index TabX_colno_idx on TabX( tabname, colno );
create unique index TabX_colname_idx on TabX( tabname, colname );