--
-- dim_STAT
--

drop table dim_STAT;
drop table dim_LOG;
drop table dim_TASK;

create table dim_STAT (
  ID       int not null,
  Title    varchar(40) not null,
  dt_start int,
  Timeout  int,
  State    int,
  Host     varchar(20)
);



create table dim_LOG (
  ID       int not null,
  Sno      int not null,
  dt_stamp int not null,
  Message  varchar(40) not null
);

create index dim_LOG_ID  on dim_LOG( ID );
create index dim_LOG_Sno on dim_LOG( Sno );
create index dim_LOG_dt  on dim_LOG( dt_stamp );



create table dim_TASK (
  ID       int not null,
  dt_begin int not null,
  dt_end   int not null,
  Name     varchar(40) not null
);

create index dim_TASK_ID     on dim_TASK( ID );
create index dim_TASK_begin  on dim_TASK( dt_begin );
create index dim_TASK_end    on dim_TASK( dt_end );


